<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<ul class="nav nav-wizard nav-justified m-t-20">
    <li class="disabled" ng-class="{'active': currentStep == 0, 'complete': currentStep > 0}">
        <a href="">
            <h4>Étape 1</h4>
            <small>Envoi d'une source XML d'exemple</small>
        </a>
    </li>
    <li class="disabled" ng-class="{'active': currentStep == 1, 'complete': currentStep > 1}">
        <a href="">
            <h4>Étape 2</h4>
            <small>Chemin d'extraction des POI</small>
        </a>
    </li>
    <li class="disabled" ng-class="{'active': currentStep == 2, 'disabled': currentStep < 2, 'complete': currentStep > 2}">
        <a href="">
            <h4>Étape 3</h4>
            <small>Chemins d'extraction des propriétés du POI</small>
        </a>
    </li>
    <li class="disabled" ng-class="{'active': currentStep == 3, 'disabled': currentStep < 3}" ng-if="!data.resourceType">
        <a href="">
            <h4>Étape 4</h4>
            <small>Alignement du thésaurus</small>
        </a>
    </li>
</ul>

<section class="content">
    <div class="row">
        <div class="col-xs-8">
            <div class="box box-default" ng-class="{'wizard-loading': progress}">
                <div class="wizard-loading-progress" ng-show="progress"><span>{{ progress }}</span><small>L'opération peut prendre quelques minutes. <br>Merci de ne pas quitter cette page.</small></div>
                <div ui-view></div>
            </div>
        </div>
        <div class="col-xs-4">
            <div class="box box-default">
                <div class="box-header with-border">
                    <h3 class="box-title"><i class="fa fa-list"></i> État d'avancement</h3>
                    <!-- /.box-tools -->
                </div>
                <div class="box-body p-0">
                    <ul class="list-group wizard-todo-list m-b-0" ng-class="{loading: statsLoading}">
                        <li class="list-group-item todo" ng-class="{success: schema}">
                            <span class="fa-stack">
                                <i class="fa fa-circle-thin fa-stack-2x"></i>
                                <i class="fa fa-stack-1x"></i>
                            </span>
                            <span ng-if="schema == null">Il manque le fichier XML d'exemple</span>
                            <span ng-if="schema">La source XML d'exemple est valide</span>
                        </li>
                        <li class="list-group-item todo" ng-class="{success: stats.count > 0, warn: (stats.count == 0)}">
                            <span class="fa-stack">
                                <i class="fa fa-circle-thin fa-stack-2x"></i>
                                <i class="fa fa-stack-1x"></i>
                            </span>
                            <span ng-if="stats.count == null">Il manque l'extraction des POI</span>
                            <span ng-if="stats.count !== null"><strong>{{ stats.count }}</strong> POI dans le flux</span>
                        </li>
                        <li class="list-group-item todo" ng-class="{success: stats.uniqness == 1, warn: (stats.uniqness !== null && stats.uniqness != 1)}">
                            <span class="fa-stack">
                                <i class="fa fa-circle-thin fa-stack-2x"></i>
                                <i class="fa fa-stack-1x"></i>
                            </span>
                            <span ng-if="stats.uniqness == null">Il manque l'extraction de l'identifiant du POI</span>
                            <span ng-if="stats.uniqness == 1">Tous les POI ont un identifiant unique</span>
                            <span ng-if="stats.uniqness !== null && stats.uniqness < 1">Certains POI n'ont pas d'identifiant unique</span>
                        </li>
                        <li class="list-group-item todo" ng-class="{success: stats.labelness == 1, warn: (stats.labelness !== null && stats.labelness != 1)}">
                            <span class="fa-stack">
                                <i class="fa fa-circle-thin fa-stack-2x"></i>
                                <i class="fa fa-stack-1x"></i>
                            </span>
                            <span ng-if="stats.labelness == null">Il manque l'extraction du libellé du POI</span>
                            <span ng-if="stats.labelness == 1">Tous les POI ont un libellé</span>
                            <span ng-if="stats.labelness !== null && stats.labelness < 1">Certains POI n'ont pas de libellé</span>
                        </li>
                        <li class="list-group-item todo" ng-class="{success: data.resourceType || stats.countTypes > 0, warn: (stats.countTypes == 0)}">
                            <span class="fa-stack">
                                <i class="fa fa-circle-thin fa-stack-2x"></i>
                                <i class="fa fa-stack-1x"></i>
                            </span>
                            <span ng-if="stats.countTypes == null && !data.resourceType">Il manque l'extraction du type de POI</span>
                            <span ng-if="data.resourceType">Le type de POI est une valeur constante</span>
                            <span ng-if="stats.countTypes == 0">Aucun type de POI trouvé</span>
                            <span ng-if="stats.countTypes > 0"><strong>{{ stats.countTypes }}</strong> valeur(s) de types distincte(s)</span>
                        </li>
                        <li class="list-group-item todo" ng-class="{success: data.resourceType || (remainingCorresps() && remainingCorresps().length == 0), warn: remainingCorresps() && remainingCorresps().length > 0}">
                            <span class="fa-stack">
                                <i class="fa fa-circle-thin fa-stack-2x"></i>
                                <i class="fa fa-stack-1x"></i>
                            </span>
                            <span ng-if="data.corresps == null && !data.resourceType">L'alignement du thésaurus peut-être à compléter</span>
                            <span ng-if="data.resourceType">L'alignement du thésaurus n'est pas nécessaire</span>
                            <span ng-if="remainingCorresps() && remainingCorresps().length == 0">Tous les types sont correctement alignés</span>
                            <span ng-if="remainingCorresps() && remainingCorresps().length > 0"><strong>{{ remainingCorresps().length }}</strong> type(s) reste(nt) à aligner</span>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>

    <!--<pre>{{ data | json }}</pre>-->
</section>